//
//  SimpleView.swift
//  Viperit
//
//  Created by Ferran on 16/09/2019.
//Copyright © 2019 Ferran Abelló. All rights reserved.
//

import UIKit
import Viperit

//MARK: SimpleView Class
final class SimpleView: UserInterface {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        navigationItem.title = "Simple modal view"
        view.backgroundColor = .yellow
        
        let label = UILabel()
        label.text = "This simple module is generated by code, no storyboard, nibs or swift ui"
        label.textColor = .black
        label.font = .systemFont(ofSize: 22, weight: .bold)
        label.numberOfLines = 0
        label.frame = view.frame.insetBy(dx: 20, dy: 20)
        view.addSubview(label)
    }
}

//MARK: - SimpleView API
extension SimpleView: SimpleViewApi {
}

// MARK: - SimpleView Viper Components API
private extension SimpleView {
    var presenter: SimplePresenterApi {
        return _presenter as! SimplePresenterApi
    }
    var displayData: SimpleDisplayData {
        return _displayData as! SimpleDisplayData
    }
}
